import Vue from 'vue'
import Router from 'vue-router'

import HelloWorld from '@/components/HelloWorld'

import Test from '@/page/test/index'
import TestRoute from '@/page/test/testRoute'

Vue.use(Router)

export default new Router({
  // mode: 'history',
  routes: [
    {
      path: '/',
      name: 'HelloWorld',
      component: HelloWorld
    },
    {
      path: '/test',
      alias: '/~',
      name: 'Test',
      component: Test,
      children: [{
        path: 'testroute/:id',
        alias: ['~~/:id', '$/:id'],
        name: 'TestRoute',
        component: TestRoute,
      }]
    }
  ]
})
